Bug 1612866 - Please update FreeRDP to 2.0.0-rc3
Summary: Please update FreeRDP to 2.0.0-rc3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 12:34 UTC by Michael DePaulo
Modified: 2018-08-23 10:33 UTC (History)
6 users (show)

Fixed In Version: freerdp-2.0.0-44.rc3.fc27 freerdp-2.0.0-44.rc3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael DePaulo 2018-08-06 12:34:14 UTC
FreeRDP 2.0.0-rc3 contains valuable features, such as SOCKS support.

https://github.com/FreeRDP/FreeRDP/blob/2.0.0-rc3/ChangeLog

I believe it also fixes RHBZ #1568547

Note: The current version, 2.0.0-42.20180405gita9ecd6a, is from a few days before 2.0.0-rc2 was released.

I have a pull request for this:
https://src.fedoraproject.org/rpms/freerdp/pull-request/1#

Comment 1 Simone Caronni 2018-08-11 06:24:54 UTC
Thanks, I'm currently on holiday, with limited internet access. I will be back on the 20th of August and will check it.

In general, yes maintainers are welcome, thank you. Please note that when updating also Remmina needs an update, all components linked to the FreeRDP 2.x libraries need a rebuild if there is an API/ABI change compared to the current package. The same needs to be done for all current Fedora releases (27, 28 and rawhide) at least until there is a stable FreeRDP release.

Comment 2 Michael DePaulo 2018-08-13 00:06:43 UTC
Thank you. I will develop & submit a pull request for Remmina also.

It looks Remmina finally released a stable release:
v1.2.0-rcgit.29 (2018-04-08) -> v1.2.30 (2018-05-20)

And the v1.2.31.x release series (v1.2.31.0 on 2018-07-28) seems to correspond to FreeRDP 2.0.0-rc3.

I will use the latest 1.2.31.x release, 1.2.31.2, presumably.

Also, they migrated to gitlab (with a mirror on github) and use the "master" branch again. I will update the Remmina RPM packaging for that.

Comment 3 Michael DePaulo 2018-08-13 12:17:09 UTC
Remmina 1.2.31.2 Pull Request:
https://src.fedoraproject.org/rpms/remmina/pull-request/1

Comment 4 Michael DePaulo 2018-08-13 22:53:47 UTC
The sonames are the same:

/usr/lib64/libfreerdp-client2.so.2.0.0
/usr/lib64/libfreerdp-server2.so.2.0.0
/usr/lib64/libfreerdp-shadow-subsystem2.so.2.0.0
/usr/lib64/libfreerdp-shadow2.so.2.0.0
/usr/lib64/libfreerdp2.so.2.0.0
/usr/lib64/libuwac0.so.0.0.1


/usr/lib64/libwinpr-tools2.so.2.0.0
/usr/lib64/libwinpr2.so.2.0.0

Comment 5 Michael DePaulo 2018-08-13 23:29:22 UTC
The only other package that depends on it is vinagre.

vinagre seems to be abandoned. Only translation updates since 3.22.0; although they are worth including.

I also looked at misc major distros. The only new patch that seems to be floating around is this one; necessitated by a change in gtk 3.20. (Not a rejected patch, but simply unresponsive upstream maintainers.)
https://build.opensuse.org/package/view_file/GNOME:Factory/vinagre/vinagre-invisible-fullscreen-toolbar.patch?expand=1

Also, pagure has 2 pull requests:
https://src.fedoraproject.org/rpms/vinagre/pull-requests

Comment 6 Fedora Update System 2018-08-20 14:40:04 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 7 Fedora Update System 2018-08-20 14:41:15 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 8 Fedora Update System 2018-08-22 00:33:04 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 9 Fedora Update System 2018-08-22 03:12:35 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 10 Fedora Update System 2018-08-23 09:45:20 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-08-23 10:33:12 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.